Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123717 - Export Diff should create parent folder.
Export Diff should create parent folder.
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 06:41 UTC by Peter Pis
Modified: 2008-01-18 08:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (22.70 KB, text/plain)
2007-12-10 07:03 UTC, Peter Pis
Details
hg log (6.14 KB, text/plain)
2007-12-10 07:06 UTC, Peter Pis
Details
Proposed patch (1.77 KB, text/plain)
2007-12-10 11:57 UTC, John Rice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2007-12-10 06:41:04 UTC
Product Version: NetBeans IDE 6.0 (Build 200711261600)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\60daily\user3

Steps:
1. Open project under Hg control.
2. Select project root and invoke "Versioning | Export Diff..." main menu action. Choose a directory that doesn't exist.

Export fails because the target directory doesn't exist. This should be handled and directory should be created if it
doesn't exist if user's permissions allow the directory creation.
Comment 1 Peter Pis 2007-12-10 07:03:54 UTC
Created attachment 54054 [details]
thread dump
Comment 2 Peter Pis 2007-12-10 07:06:36 UTC
Created attachment 54055 [details]
hg log
Comment 3 John Rice 2007-12-10 11:57:08 UTC
Created attachment 54081 [details]
Proposed patch
Comment 4 John Rice 2007-12-11 22:12:11 UTC
IDE:-------------------------------------------------
IDE: [11/12/07 22:11] Committing started
Checking in HgCommand.java;
/cvs/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/util/HgCommand.java,v  <--  HgCommand.java
new revision: 1.61; previous revision: 1.60
done
IDE: [11/12/07 22:11] Committing finished
Comment 5 Peter Pis 2008-01-18 08:55:09 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo